API

Wikidata API

The AI-powered Wikidata Entities Monitor provides 360° Global Media Data & Intelligence on Wikidata is a collaboratively maintained knowledge base with more than 121 million items covering people, organizations, places, works, and concepts. It is important for entity resolution, knowledge graphs, search enrichment, and structured research.

API 참조 버전: 1.0.0 10 엔드포인트 인증
Wikidata Entities Monitor

기본 URL

https://pressmonitor.com/api

인증

모든 요청에는 x-api-key 및 x-subscription-id 헤더가 필요합니다. x-api-key는 계정을 인증하고 x-subscription-id는 구독한 서비스를 선택합니다.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /suggest_entities

Suggest Entities

매개변수

이름 유형 위치 필수 설명
query_text string query 예 Query Text
lang string query 아니요 Lang
limit string query 아니요 Limit
offset string query 아니요 Offset

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/suggest_entities?query_text=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /search/by_label

Search Entities By Label

매개변수

이름 유형 위치 필수 설명
query_text string query 예 Query Text
lang string query 아니요 Lang
limit string query 아니요 Limit
offset string query 아니요 Offset

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/search/by_label?query_text=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /search/by_description

Search Entities By Description

매개변수

이름 유형 위치 필수 설명
query_text string query 예 Query Text
lang string query 아니요 Lang
limit string query 아니요 Limit
offset string query 아니요 Offset

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/search/by_description?query_text=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /search/by_type

Search Entities By Type

매개변수

이름 유형 위치 필수 설명
type string query 예 Type
query_text string query 아니요 Query Text
lang string query 아니요 Lang
limit string query 아니요 Limit
offset string query 아니요 Offset

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/search/by_type?type=VALUE&query_text=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /search/by_claim

Search Entities By Claim Value

매개변수

이름 유형 위치 필수 설명
property string query 예 Property
value string query 아니요 Value
mode string query 아니요 Mode
lang string query 아니요 Lang
limit string query 아니요 Limit
offset string query 아니요 Offset

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/search/by_claim?property=VALUE&value=VALUE&mode=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /find/by_property

Search Entities By Property

매개변수

이름 유형 위치 필수 설명
property string query 예 Property
value string query 아니요 Value
qualifier string query 아니요 Qualifier
rank string query 아니요 Rank
lang string query 아니요 Lang
limit string query 아니요 Limit
offset string query 아니요 Offset

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/find/by_property?property=VALUE&value=VALUE&qualifier=VALUE&rank=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /search/temporal

Search Entities By Date Range

매개변수

이름 유형 위치 필수 설명
property string query 예 Property
from string query 아니요 From
to string query 아니요 To
value string query 아니요 Value
lang string query 아니요 Lang
limit string query 아니요 Limit
offset string query 아니요 Offset

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/search/temporal?property=VALUE&from=VALUE&to=VALUE&value=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /entities/$0

Get Entity By Id

매개변수

이름 유형 위치 필수 설명
wikidata_id string query 예 Wikidata Id
lang string query 아니요 Lang

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/entities/$0?wikidata_id=VALUE&lang=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /entities/$0/claims

Get Entity Claims

매개변수

이름 유형 위치 필수 설명
wikidata_id string query 예 Wikidata Id
lang string query 아니요 Lang
limit string query 아니요 Limit
offset string query 아니요 Offset

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/entities/$0/claims?wikidata_id=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success
GET /properties

Get Properties

코드 예제

curl -X GET \
  "https://pressmonitor.com/api/properties" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

응답

200 Success